// SPDX-License-Identifier: Apache-2.0
import FormatValidation from "../../../../in/request/FormatValidation";
import ValidatedRequest from "../../../../../core/validation/ValidatedArgs";
export default class GetAmortizationPaymentAmountRequest extends ValidatedRequest {
    securityId;
    amortizationId;
    tokenHolder;
    constructor({ securityId, amortizationId, tokenHolder, }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            amortizationId: FormatValidation.checkNumber({ min: 0 }),
            tokenHolder: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
        this.amortizationId = amortizationId;
        this.tokenHolder = tokenHolder;
    }
}
